<?php

namespace App\Http\Livewire\Pages\Patch;

use App\Models\TabPatchFile;
use Livewire\Component;

class ModalEditCode extends Component
{
    public $openModalEditCode = false;
    public $patchFileId, $patchFile, $gitCode, $dbCode;
    public $preImpHeader;
    public $isOpenEditCode= false;

    protected $listeners = ['openModalEditCode'];

    public function openModalEditCode($patchFileId)
    {
    
        $this->patchFileId = $patchFileId;
        $this->patchFile = TabPatchFile::where('fid', $this->patchFileId)->first();
        $this->isOpenEditCode = true;
    }

    public function closeModal()
    {
        $this->isOpenEditCode = false;
    }
    public function updateCode()
    {
       
    }
  

    public function render()
    {
        return view('livewire.pages.patch.modal-edit-code');
    }
}
